Last modified: 2011-05-20 22:39:14 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28979 - remove some CSS for abbr and acronym tags
remove some CSS for abbr and acronym tags
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
1.17.x
All All
: Unprioritized major (vote)
: ---
Assigned To: Nobody - You can work on this!
: patch
Depends on:
Blocks: css
  Show dependency treegraph
 
Reported: 2011-05-14 17:32 UTC by Bergi
Modified: 2011-05-20 22:39 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
proposed patch (1.81 KB, patch)
2011-05-14 17:51 UTC, Bergi
Details

Description Bergi 2011-05-14 17:32:09 UTC
The <abbr> and <acronym> tags were whitelisted with bug 671, but there are some CSS rules for them since long, long times. They can be found in the first versions of chick, monobook and are carried on to vector skin.

The lines I'm complaining about are 

abbr, acronym, .explain {
	color: black;
	background: none;
}

which are senseless from my perspective.

Often these tags are used in links, e.g. [[Normalnull|<abbr title="meter above see level">NN</abbr>]]. But in here the color:black; makes the text unrecognizable as a hyperlink (together with the senseful cursor:help; rule).

When these rules where meant to override some crazy browserdependent default settings, they should be be changed to "inherit".
Comment 1 Bergi 2011-05-14 17:51:45 UTC
Created attachment 8535 [details]
proposed patch
Comment 2 Brion Vibber 2011-05-15 09:50:04 UTC
As I recall they are indeed meant to override some crazy browser defaults; "inherit" had problems in some older browsers but is *probably* fine now.

Needs a confirmation check in supported browsers.
Comment 3 Bergi 2011-05-15 15:53:57 UTC
applied by Mark with r88118, but monobook was forgotten?
Comment 4 Mark A. Hershberger 2011-05-20 22:39:14 UTC
added r88498

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links